<?php

/*
######################### Einstellungen laden #########################
*/

// Session starten fr die Passwort vergessen-Funktion und Admin-Login
session_start();

// MySQL-Verbindung herstellen
include ("inc/gbconfig.php");

// testen, ob das Icybook schon installiert ist und ggf. Installation anbieten
if (!isset($ibnr)) {
  exit("<p><b><a href=\"install.php\" title=\"Installation\">Installation starten</a></b></p>");
}

// Funktionen laden
include ("inc/functions.php");

// Einstellungen laden und in Variablen packen
$settings = get_settings($ibnr);
extract($settings);

// Zeitzone fr Datumsfunktionen einstellen
get_timezone();

// Sprache laden
include("inc/lang/".$lang.".php");

// Dokumentname mit Parametern ermitteln
$fname = $_SERVER['PHP_SELF'];

// Sektion ermitteln
$section = get_section();

// Statistiken ber Anzahl der Eintrge und Seiten ermitteln
$stats = statistics($pre, $eps);
extract($stats);


/*
######################### Einstellungen laden Ende #########################
*/








/*
######################### HTML-KOPF & Header/berschrift #########################
*/

if (empty($path)) { ?>

  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


  <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

  <head>
  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
  <title> <?php echo $browsertitle; ?> </title>

<?php } ?>


<style type="text/css">
  <?php include ("inc/style.php"); ?>
</style>

<script src="<?php echo $path; ?>inc/javascript.js" type="text/javascript"></script>


<?php

if (empty($path)) { 
  echo "</head>\n<body>";
}

// Umschlieender Container, um beim Include das Designs des Icybooks vom restlichen der Seite auseinander zu halten
echo "<div id=\"icybook\">";

if (!empty($header)) {
  echo "<img src=\"".$header."\" alt=\"\" align=\"center\" class=\"header\" />";
}

?>


<div id="box">

<?php 

if (!empty($titlegb)) {
  echo "<h2>".$titlegb."</h2>";
}

/*
######################### HTML-KOPF & Header/berschrift ENDE #########################
*/








/*
######################### ADMIN LOGIN #########################
*/

if ($section == "admin") { ?>

  <h3><?php echo $adm_center; ?></h3>
  <form method="post" action="<?php echo $fname; ?>?section=adminlogin"><table>
    <tr>
      <th><?php echo $ind_pw; ?></th>
      <th><input type="password" name="pw" /></th>
      <th><input type="submit" value="Login" /></th>
    </tr>
  </table></form>(<a href="<?php echo $fname; ?>?section=forgotpw" class="forgotpw"><?php echo $ind_forgotpw; ?>?</a>)<br /><br /><?php

}



if ($section == "adminlogin") {

  $result = mysql_query("select adminpw from ".$pre."settings");
  $row = mysql_fetch_assoc($result);
  
  if (isset($_POST['pw']) and md5($_POST['pw']) == $row['adminpw']) {
    $lastsql = "SELECT lastlogin FROM ".$pre."settings";
    $last = mysql_fetch_assoc(mysql_query($lastsql));
    $_SESSION['lastlogin'] = $last['lastlogin'];
    $time = time();
    $sql = "UPDATE ".$pre."settings SET lastlogin = '$time'";
    mysql_query($sql);
    $_SESSION['admin'] = 1;
    $_SESSION['pw'] = $_POST['pw'];
    echo "<div id=\"tipp\"><h3><img src=\"".$path."images/question.gif\" alt=\"?\" title=\"Fragezeichen\" /> Wusstest du schon?</h3>
    <p>".$tipps[array_rand($tipps)]."</p></div>
    <p class=\"login\">&raquo <a href=\"".$path."admin.php\" title=\"Login-Men&uuml;\">".$ind_loginmsg."</a></p>";
  } else {
    echo "<p>".$ind_err_wrongpw."</p>";
  }
  
}

/*
######################### ADMIN LOGIN ENDE #########################
*/








/*
######################### PASSWORT-VERGESSEN FUNKTION #########################
*/

if ($section == "forgotpw") {

  if (isset($_POST['pwsec']) and $_SESSION['right_str'] == $_POST['pwsec']) {
    
    // Neuen Hash generieren
    $hash = generate_hash(18);
    $pwsent = 1;

    $sql = "UPDATE ".$pre."settings SET passhash = '$hash'";
    mysql_query($sql) or die(mysql_error());


    // E-Mail mit neuem Passwort
    $betreff = $ind_newpw_mailsubject;
    $text = $ind_newpw_mail."\r\n \r\n ".$gburl."/".$fname."??section=newpw&s=".$hash;
    $headers = array();
    $headers[] = "Subject: ".$ind_newpw_mailsubject;
    $headers[] = "Content-type: text/html";
    $headers[] = "From: Icybook";
    $header = implode("\r\n", $headers);
    mail($adminmail, $betreff, $text, $header);

    echo "<p class=\"sendnewpw\">".$ind_newpw_mailsent."</p><br /><br />";

  }

  if (!isset($pwsent)) { ?>

    <img src="<?php echo $path; ?>inc/captcha.php" alt="sec" /><br /><br />

    <form method="post" action="<?php echo $fname; ?>?section=forgotpw">
      <input type="text" name="pwsec" />
      <input type="submit" value="<?php echo $buttonsend; ?>" />
    </form><?php

  }

}


// Neues Passwort generieren
if ($section == "newpw") {

  $sql = "SELECT passhash FROM ".$pre."settings";
  $result = mysql_query($sql) or die(mysql_error());
  $row = mysql_fetch_assoc($result);

  if ($_GET['s'] == $row['passhash']) {
  
     
    $newadminpw = md5(generate_hash(10));
    $sql = "UPDATE ".$pre."settings SET adminpw = '$newadminpw'";
    
    mysql_query($sql);

    echo "<p class=\"sendnewpw\">".$ind_newpw."<br /><br /><b>". $digit."</b></p><br /><br />";

  } else {

    echo "<p>".$ind_err_wronghash."</p>";

  }
  
}

/*
######################### PASSWORT-VERGESSEN FUNKTION ENDE #########################
*/








/*
######################### NEUEN EINTRAG ABSCHICKEN #########################
*/

if ($section == "add") {

  if (isset($_POST['submit'])) {

    // Die eingegeben Daten werden berprft und in das Array $entrydata[] gepackt
    $entrydata = array();
    $entrydata['autor'] = mysql_real_escape_string(strip_tags($_POST['autor']));
    $entrydata['email'] = mysql_real_escape_string(strip_tags($_POST['email']));
    $entrydata['homepage'] = mysql_real_escape_string(strip_tags($_POST['homepage']));
    $entrydata['content'] = mysql_real_escape_string(strip_tags($_POST['content']));
    $entrydata['thema'] = mysql_real_escape_string(strip_tags($_POST['thema']));
    $entrydata['themen'] = mysql_real_escape_string(strip_tags($_POST['themen']));
    $entrydata['time1'] = mysql_real_escape_string(strip_tags($_POST['time1']));
    $entrydata['submit'] = mysql_real_escape_string(strip_tags($_POST['submit']));
    $entrydata['sec'] = mysql_real_escape_string(strip_tags($_POST['sec']));

    //Eingabedaten an eine Funktion bergeben, die die Eingaben berprft. Wenn es einen Fehler gibt, wird $e_error gesetzt
    $entry = handle_entry($entrydata, $pre, $ibnr);
    extract($entry);

    if ($e_error) {
      echo "<p>".$e_error."</p>";
    } else {

      echo "<p>".$ind_saveentry."</p>";


      $sql=  "INSERT INTO ".$pre."entries (
                Autor,
	        Email,
	        Homepage,
	        Datum,
	        Inhalt,
		IP,
		Status)
	    VALUES (
	        '$e_autor',
	        '$e_email',
	        '$e_homepage',
	        '$e_time',
	        '$e_content',
	        '$e_ip',
		'$e_status')";

      if ($spamfilter != 2 or $e_spam == 0) {
	mysql_query($sql) or die("Fehler: ".mysql_error());
      }

      if ($sendmail == "1") {
	$betreff = $ind_newentry_mailsubject;
	$text = $ind_newentry_mail.": ".$gburl."/".$fname;
	$headers = array();
	$headers[] = "Subject: ".$ind_newentry_mailsubject;
	$headers[] = "Content-type: text/html";
	$headers[] = "From: Icybook";
	$header = implode("\r\n", $headers);
	mail($adminmail, $betreff, $text, $header);
      }

      if ($activate == "1") {
	echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$fname."?section=activate\">";
      } else {
	echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$fname."\">";
      }

    }

  }


  $time1 = time();

/*
######################### NEUEN EINTRAG ABSCHICKEN ENDE #########################
*/








/*
######################### EINTRAGSFORMULAR #########################
*/

// Wenn Sicherheitsfrage aktiviert ist, whle eine zufllige aus
if ($captcha == "3") {
  require_once("inc/questions.php");
  $randarray = rand(0, count($questions) - 1);
  $_SESSION['right_str'] = $answers[$randarray];
  $takeq = $questions[$randarray];
}

?>

  <br /><br /><br />
  <form method="post" action="<?php echo $fname; ?>?section=add" name="formular">
  <table class="entry">
    <tr>
      <th colspan="2" class="newhead"><?php echo $ind_entryadd; ?></th>
    </tr>
    <tr>
      <th class="newleft">*<?php echo $ind_name; ?>:</th>
      <td class="newright"><input type="text" size="30" name="autor" maxlength="30" value="<?php if (isset($e_autor)) { echo $e_autor; } ?>" /></td>
    </tr>
    <tr>
      <th class="newleft">Email:</th>
      <td class="newright"><input type="text" size="30" name="email" maxlength="50" value="<?php if (isset($e_email)) { echo $e_email; } ?>" /></td>
    </tr>
    <tr>
      <th class="newleft">Homepage:</th>
      <td class="newright"><input type="text" size="30" name="homepage" maxlength="50" value="<?php if (isset($e_homepage)) { echo $e_homepage; } else { echo "http://"; } ?>" /></td>
    </tr>
    <tr>
      <th class="newleft">*<?php echo $ind_content; ?>:</th>
      <td class="newright"><?php echo bbcode_buttons($bbcode, $path); ?>
	<textarea cols="26" rows="6" name="content"><?php if (isset($e_content)) { echo br2nl($e_content); } ?></textarea>
	  <?php echo show_smileys($pre, $smileypos, $smileyrow, $path); ?>
      </td>
    </tr>
    <?php if ($captcha == 1 or $captcha == 2) { ?>
      <tr>
        <th class="newleft">*<?php if ($captcha == "1") { echo $ind_captcha; } else { echo $adm_calc; } ?>:<br /><a href="javascript:reloadCaptcha();">Neu laden</a></th>
        <td class="newright"><input type="text" size="20" name="sec" class="floatleft" style="margin-top: 10px;" /> <img src="<?php echo $path; ?>inc/captcha.php" alt="sec" class="sec" id ="sec" /></td>
      </tr>
    <?php } elseif ($captcha == 3) { ?>
      <tr>
        <th class="newleft">*<?php echo $adm_quest; ?>:</th>
        <td class="newright"><input type="text" size="20" name="sec" class="floatleft" style="margin-top: 10px; margin-right: 5px;" /> <p style="margin-top: 11px;"><?php echo $takeq; ?></p></td>
      </tr>
    <?php } ?>
    <tr>
      <th colspan="2" class="newhead"><span class="hideme"><?php if ($hiddenfield == 1) { ?><input name="thema" type="text" /><?php } ?></span><input type="submit" size="30" value="<?php echo $buttonsend; ?>" name="submit" />
	<input type="reset" size="30" value="<?php echo $ind_buttonreset; ?>" /><span class="hideme"><input type="text" value="<?php echo $time1; ?>" name="time1" /></span><?php if ($hiddenfield == 1) { ?><span class="hideme"><input name="themen" type="text" /></span><?php } ?></th>
    </tr>
  </table>
  
  <div class="duty">* <?php echo $ind_mandfields; ?></div>
  
  </form>
  
  <br /><br /><br /><?php

}

// Gegebenenfalls Meldung anzeigen, dass der Eintrag erst freigeschaltet werden muss
if ($section == "activate") {
  echo "<p>".$ind_activate."</p>";
}

/*
######################### EINTRAGSFORMULAR ENDE #########################
*/







/*
######################### Kopfzeile #########################
*/ ?>

<div class="headline">
  <div class="head_number"><?php echo $ind_entries; ?>: <b><?php echo $anzahl; ?></b></div> 
  <div class="head_new"><b><a href="<?php echo $fname; ?>?section=add"><?php echo $ind_newentry; ?></a></b></div>
</div><?php

/*
######################### Kopfzeile #########################
*/








/*
######################### EINTRGE ANZEIGEN (VERARBEITUNG) #########################
*/

$sql = "SELECT
	    *
	FROM 
	    ".$pre."entries
	WHERE
	    Status = '1'
	ORDER BY
	    ID DESC
	LIMIT 
	    $page2, $eps";

$result = mysql_query($sql) or die("Fehler: ".mysql_error());

mysql_query($sql);


if(mysql_num_rows($result)) {

  $i = $anzahl - (($page-1)*$eps);
  while ($row = mysql_fetch_assoc($result)) {

    $inhalt = show_entry($row['Inhalt'], $pre, $bbcode, $path);
    $autor = str_replace("\\", "", $row['Autor']);
    $datum = $ind_at." ".date("d.m.Y - H:i", $row['Datum']);

    if (!empty($row['Email']) and $showmails == 1) {
      $mail = "E-Mail: <a href=\"mailto:".$row['Email']."\"><img src=\"".$path."images/email.jpg\" alt=\"E-Mail\" title=\"E-Mail\" /></a>";
    } else {
      $mail = "";
    }

    if (!empty($row['Homepage']) and $row['Homepage'] != "http://") { 
      $homepage = "Home: <a href=\"".$row['Homepage']."\" target=\"_blank\"><img src=\"".$path."images/hp.gif\" alt=\"Homepage\" title=\"Homepage\" class=\"hp\" /></a>";
    } else {
      $homepage = "";
    }

    if (!empty($row['Kommentar'])) {
      $comment = "<p class=\"comment\">".$ind_comment.":<br />".breakLongWords($row['Kommentar'], 30, " ")."</p>";
    } else {
      $comment = "";
    }

/*
######################### EINTRGE ANZEIGEN (VERARBEITUNG) ENDE #########################
*/








/*
######################### EINTRGE ANZEIGEN (AUSGABE) #########################
*/ ?>

    <table class="entry">
      <tr>
	<th class="tablehead" colspan="2">#<?php echo $i; ?> - <b><?php echo $autor; ?></b> <?php echo $datum; ?></th>
      </tr>
      <tr>
	<td class="tableleft"><?php echo $mail; ?><br /><?php echo $homepage; ?></td>
	<td class="tableright"><?php echo $inhalt; ?><br /><?php echo $comment; ?></td>
      </tr>
    </table><br /><?php
    
    $i--;
    
  }
    
} else { ?>

  <p class="noentries"><?php echo $noentries; ?></p><?php

}


// Seiten anzeigen
echo show_pages($pagemode, $fname."?", $page, $seiten);

/*
######################### EINTRGE ANZEIGEN (AUSGABE) ENDE #########################
*/








/*
######################### FOOTER (OHNE LIZENZ NICHT ENTFERNEN) #########################
*/ ?>

</div>
<p class="copyright" align="center"><?php echo $copy; ?> | <a href="<?php echo $fname; ?>?section=admin" title="Admin">Admin</a></p>

</div><?php
/*
######################### FOOTER ENDE #########################
*/








if (empty($path)) {
  echo "</body></html>";
}

?>